This is Polymake.info, produced by Macaulay2, version 1.25.11

Polymake -- a package for interfacing with polymake
***************************************************

Description
===========

Polymake is a package for interfacing with polymake, and for reading and
writing files in polymake's format.

Warning: this package is not complete, and is mostly undocumented, but it is
used in gfanInterface. It is expected that the
interface will change in the (near) future.

Author
======

  * Josephine Yu (see http://www.math.mit.edu/~jyu/ ) <jyu@math.mit.edu>

Version
=======

This documentation describes version 0.1 of Polymake, released March 21, 2008.

Citation
========

If you have used this package in your research, please cite it as follows:

+----------------------------------------------------------------------------+
|@misc{PolymakeSource,                                                       |
|  title = {{Polymake: interfacing with polymake. Version~0.1}},             |
|  author = {Josephine Yu},                                                  |
|  howpublished = {A \emph{Macaulay2} package available at                   |
|    \url{https://github.com/Macaulay2/M2/tree/stable/M2/Macaulay2/packages}}|
|}                                                                           |
|                                                                            |
+----------------------------------------------------------------------------+

Exports
=======

  * Types
      * PolymakeObject (missing documentation)
  * Functions and commands
      * getListProperty (missing documentation)
      * getMatrixProperty (missing documentation)
      * getProperty (missing documentation)
      * getPropertyNames (missing documentation)
      * getVectorProperty (missing documentation)
      * makemat (missing documentation)
      * makevec (missing documentation)
      * NewtonPolytope (missing documentation)
      * polymakeObject (missing documentation)
      * removeComments (missing documentation)
      * runPolymake (missing documentation)
      * toPolymakeFormat (missing documentation)
  * Methods
      * getListProperty(List,String) (missing documentation)
      * getListProperty(String,String) (missing documentation)
      * getMatrixProperty(List,String) (missing documentation)
      * getMatrixProperty(String,String) (missing documentation)
      * getProperty(List,String) (missing documentation)
      * getProperty(String,String) (missing documentation)
      * getPropertyNames(List) (missing documentation)
      * getVectorProperty(List,String) (missing documentation)
      * getVectorProperty(String,String) (missing documentation)
      * NewtonPolytope(RingElement) (missing documentation)
      * polymakeObject(String) (missing documentation)
      * polymakeObject(String,List) (missing documentation)
      * runPolymake(PolymakeObject,String) (missing documentation)
      * runPolymake(String,String) (missing documentation)
      * toPolymakeFormat(PolymakeObject) (missing documentation)
      * toPolymakeFormat(String,Matrix) (missing documentation)
      * toPolymakeFormat(String,Vector) (missing documentation)

For the programmer
==================

The object Polymake, is a package (Macaulay2Doc),
defined in Polymake.m2.

-------------------------------------------------------------------------------

The source of this document is in Polymake.m2:190:0.

getListProperty
***************

Ways to use getListProperty:
============================

  * getListProperty(List,String) (missing documentation)
  * getListProperty(String,String) (missing documentation)

For the programmer
==================

The object getListProperty (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

getMatrixProperty
*****************

Ways to use getMatrixProperty:
==============================

  * getMatrixProperty(List,String) (missing documentation)
  * getMatrixProperty(String,String) (missing documentation)

For the programmer
==================

The object getMatrixProperty (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

getProperty
***********

Ways to use getProperty:
========================

  * getProperty(List,String) (missing documentation)
  * getProperty(String,String) (missing documentation)

For the programmer
==================

The object getProperty (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

getPropertyNames
****************

Ways to use getPropertyNames:
=============================

  * getPropertyNames(List) (missing documentation)

For the programmer
==================

The object getPropertyNames (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

getVectorProperty
*****************

Ways to use getVectorProperty:
==============================

  * getVectorProperty(List,String) (missing documentation)
  * getVectorProperty(String,String) (missing documentation)

For the programmer
==================

The object getVectorProperty (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

makemat
*******

For the programmer
==================

The object makemat (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

makevec
*******

For the programmer
==================

The object makevec (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

NewtonPolytope
**************

Ways to use NewtonPolytope:
===========================

  * NewtonPolytope(RingElement) (missing documentation)

For the programmer
==================

The object NewtonPolytope (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

PolymakeObject
**************

Methods that use an object of class PolymakeObject:
===================================================

  * runPolymake(PolymakeObject,String) (missing documentation)
  * toPolymakeFormat(PolymakeObject) (missing documentation)

For the programmer
==================

The object PolymakeObject (missing documentation) is a type (Macaulay2Doc),
with ancestor classes MutableHashTable (Macaulay2Doc),
< HashTable (Macaulay2Doc) <
Thing (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

polymakeObject
**************

Ways to use polymakeObject:
===========================

  * polymakeObject(String) (missing documentation)
  * polymakeObject(String,List) (missing documentation)

For the programmer
==================

The object polymakeObject (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

removeComments
**************

For the programmer
==================

The object removeComments (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

runPolymake
***********

Ways to use runPolymake:
========================

  * runPolymake(PolymakeObject,String) (missing documentation)
  * runPolymake(String,String) (missing documentation)

For the programmer
==================

The object runPolymake (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.

toPolymakeFormat
****************

Ways to use toPolymakeFormat:
=============================

  * toPolymakeFormat(PolymakeObject) (missing documentation)
  * toPolymakeFormat(String,Matrix) (missing documentation)
  * toPolymakeFormat(String,Vector) (missing documentation)

For the programmer
==================

The object toPolymakeFormat (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:386.